---
features:
  primary:
  - name: "Control job status using exit codes"
    available_in: [core, starter, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/README.html#allow_failureexit_codes'
    image_url: '/images/unreleased/allow_fail.png'
    reporter: dhershkovitch
    stage: verify
    categories:
    - Pipeline Authoring
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/273157'
    description: |
      You can use the `allow_failure` keyword to prevent failed jobs from causing an entire pipeline to fail. Previously, `allow_failure` only accepted boolean values of `true` or `false` but we've made improvements in this release, so now you can use the `allow_failure` keyword to look for specific script exit codes. This gives you more flexibility and control over your pipelines, preventing failures based on the exit codes.
